### Function Macro

# GLib datalist_remove_no_notify

since: 2.0

#### Declaration

    #define g_datalist_remove_no_notify (
      dl,
      k
    )

#### Description

Removes an element, without calling its destroy notifier.

Available since: 2.0

This function is not directly available to language bindings.

#### Parameters

`dl`

  Type: `-`

  A datalist.

`k`

  Type: `-`

  The string identifying the data element.